EDIT - bug #8510

Non unique object exception when creating FeatureStates
09/03/2019 09:51 AM - Patrick Plitzner

Status: New Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal Found in Version:

Description

| could reproduce this by creating about 4-5 FeatureStates for a character tree, then save, and then create another 3-4 FeatureStates
and save again.

'ENTRY org.eclipse.ed4.ui.workbench 4 0 2019-09-03 09:48:43.746

'MESSAGE This is an unexpected error.

Please contact EDIT Support (EditSupport@bgbm.org) with the error trace below (click on the 'Detai
1s' button).

ISTACK O
java.lang.Exception: login : admin
editor version : 5.9.0

server : api.cybertaxonomy.org (cybertaxonomy.org) / additivity_ontology
schema version : 5.8.2.0.20190815
os : Linux 4.15.0-55-generic amdé64
java : 1.8.0_121
org.eclipse.ed.core.di.InjectionException: org.hibernate.NonUniqueObjectException: A different obj
ect with the same identifier value was already associated with the session : [eu.etaxonomy.cdm.mod
el.term.TermTree#232]
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:65)
at org.eclipse.ed4.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:288)
at org.eclipse.e4d.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:247)
at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:90

at org.eclipse.ed4.ui.internal.workbench.PartServiceSaveHandler.save (PartServiceSaveHandler. jav
a:57)

at org.eclipse.ui.internal.WorkbenchWindow$7.save (WorkbenchWindow. java:594)

at org.eclipse.e4d.ui.internal.workbench.PartServiceImpl.savePart (PartServiceImpl. java:1390)

at eu.etaxonomy.taxeditor.workbench.SaveHandler.execute (SaveHandler. java:42)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:55)

at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)

at org.eclipse.ed4.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:264)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:13

at org.eclipse.ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler.j
ava:152)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:
488)

at org.eclipse.e4d.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl.
java:210)

at org.eclipse.ed.ui.workbench.renderers.swt.HandledContributionItem.executeltem (HandledContri
butionItem. java:433)

at org.eclipse.e4d.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (Ab
stractContributionItem. java:454)

at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractCo
ntributionItem. java:482)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
at org.eclipse.swt.widgets.Display.sendEvent (Display.java:5227)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1340)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4561)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:4151)

at org.eclipse.e4d4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:l
022)

at org.eclipse.e4d.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

at org.eclipse.equinox.launcher.Main.main (Main.java:1492)
Caused by: org.hibernate.NonUniqueObjectException: A different object with the same identifier val
ue was already associated with the session : [eu.etaxonomy.cdm.model.term.TermTree#232]

at org.hibernate.engine.internal.StatefulPersistenceContext.checkUniqueness (StatefulPersistenc
eContext.java:648)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performUpdate (DefaultSaveOrUp
dateEventListener. java:284)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.entityIsDetached (DefaultSaveO
rUpdateEventListener.java:227)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performSaveOrUpdate (DefaultSa
veOrUpdateEventListener. java:92)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (DefaultSaveOrU
pdateEventListener. java:73)

at org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl. java:648)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:640)

at org.hibernate.engine.spi.CascadingActions$5.cascade (CascadingActions. java:218)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade. java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:61)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.cascadeOnUpdate (DefaultSaveOr
UpdateEventListener. java:358)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performUpdate (DefaultSaveOrUp
dateEventListener. java:332)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.entityIsDetached (DefaultSaveO
rUpdateEventListener. java:227)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performSaveOrUpdate (DefaultSa
veOrUpdateEventListener. java:92)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (DefaultSaveOrU
pdateEventListener. java:73)

at org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl. java:648)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:640)

at org.hibernate.engine.spi.CascadingActions$5.cascade (CascadingActions. java:218)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascadeCollectionElements (Cascade. java:431)
at org.hibernate.engine.internal.Cascade.cascadeCollection (Cascade.java:363)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:326)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:61)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.cascadeOnUpdate (DefaultSaveOr
UpdateEventListener.java:358)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performUpdate (DefaultSaveOrUp
dateEventListener. java:332)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.entityIsDetached (DefaultSaveO
rUpdateEventListener. java:227)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performSaveOrUpdate (DefaultSa
veOrUpdateEventListener. java:92)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (DefaultSaveOrU
pdateEventListener. java:73)

at org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl. java:648)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:640)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:635)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.saveOrUpdateCdmObject (Cd
mEntityDaoBase. java:179)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.saveOrUpdateAll (CdmEntit
yDaoBase.java:200)

at eu.etaxonomy.cdm.api.service.ServiceBase.saveOrUpdate (ServiceBase. java:297)

at sun.reflect.GeneratedMethodAccessorl7845.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.transaction.interceptor.TransactionInterceptorS$l.proceedWithInvocation (
TransactionInterceptor. java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport. java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxyl4046.saveOrUpdate (Unknown Source)

at sun.reflect.GeneratedMethodAccessorl7845.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.remoting. support.RemoteInvocationTracelInterceptor.invoke (RemotelInvocati
onTracelnterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxyl4111.saveOrUpdate (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemotelInvocation. java:212)

at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (DefaultRemoteIn
vocationExecutor. java:39)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationB
asedExporter. java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (Re
moteInvocationBasedExporter.java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvok
at org.springframework.

web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdap

web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

web.servlet.DispatcherServlet.doService (DispatcherServlet. java:893)

web.servlet.FrameworkServlet.processRequest (FrameworkServlet.java:969)

web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:871)

Jjavax.servlet.http.HttpServlet.service (HttpServlet. java:707)

web.servlet.FrameworkServlet.service (FrameworkServlet. java:845)

javax.servlet.http.HttpServlet.service (HttpServlet. java:790)
org.eclipse. jetty.servlet.ServletHolder.handle (ServletHolder. java:808)
org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1669)

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe

security.web.access.intercept.FilterSecurityInterceptor.doFilter (Filter

SecurityInterceptor.java:90)
security.web.session.SessionManagementFilter.doFilter (SessionManagement

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte

r (SecurityContextHolderAwareRequestFilter. java:169)

at org.springframework.
oxy.java:330)

at org.springframework.
AwareFilter. java:48)

at org.springframework.
oxy.java:330)

at org.springframework.

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.authentication.www.BasicAuthenticationFilter.doFilterInter

nal (BasicAuthenticationFilter. java:213)

at org.springframework.
at org.springframework.
java:330)

at org.springframework.
web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:107)
security.web.FilterChainProxyS$VirtualFilterChain.doFilter (FilterChainPr

security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.j
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.context.SecurityContextPersistenceFilter.doFilter (Security

ContextPersistenceFilter.java:91)

at org.springframework.
oxy.java:330)
at org.springframework.

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.context.request.async.WebAsyncManagerIntegrationFilter.doF

ilterInternal (WebAsyncManagerIntegrationFilter. java:53)
at org.springframework.

oxy.java:330)

at org.springframework.
3)

at org.springframework.
web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21

security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)
web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy.j

web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy.java:26

eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)
at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi
lter.java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler.java:1652)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:585)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:577)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:223)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1127)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:515)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler. java:185)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler.java:1061)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler.java:141)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollection.j
ava:215)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper. java:97)

at org.eclipse.jetty.server.Server.handle (Server. java:497)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:310)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:257)

at org.eclipse.jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)

at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)

at java.lang.Thread.run (Thread. java:748)

at org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIfPossible
(RemoteInvocationUtils. java:45)

at org.springframework.remoting.support.RemoteInvocationResult.recreate (RemoteInvocationResult
.java:149)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemoteInvocation
Result (RemoteInvocationBasedAccessor. java:85)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor.java:150)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy50.saveOrUpdate (Unknown Source)

at eu.etaxonomy.taxeditor.featuretree.ed.AbstractTermTreeEditor.save (AbstractTermTreeEditor. ja
va:264)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

50 more

at eu.etaxonomy.taxeditor.model.MessagingUtils$l.run (MessagingUtils.java:286)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display. java:4536)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:4154)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1l
022)

at org.eclipse.e4d.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLlauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

at org.eclipse.equinox.launcher.Main.main (Main. java:1492)

History

#1 - 02/21/2020 10:45 AM - Andreas Kohlbecker

- Tags changed from additivity to additivity, multiple-representations-problem

#2 - 04/06/2020 11:49 AM - Katja Luther

- Assignee changed from Patrick Plitzner to Katja Luther

#3 - 04/06/2020 11:49 AM - Katja Luther

- Subject changed from Multiple Representation exception when creating FeatureStates to Non unique object exception when creating FeatureStates

#4 - 04/21/2020 10:47 AM - Andreas Miiller
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.15

We should check if this is still an open issue and/or if it is related to any other of the term tree editing issues

#5 - 06/23/2020 01:51 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#6 - 12/04/2020 09:10 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#7 - 01/27/2021 04:13 PM - Andreas Miller

- Target version changed from Release 5.19 to Release 5.21

#8 - 03/10/2021 02:45 PM - Andreas Miller

- Target version changed from Release 5.21 to Release 5.22

#9 - 04/19/2021 05:42 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.25

#10 - 07/09/2021 10:19 AM - Andreas Muller

- Target version changed from Release 5.25 to Release 5.45

#11 - 09/03/2022 11:05 AM - Andreas Muller

- Tags changed from additivity, multiple-representations-problem to additivity

Andreas Muller wrote in #note-4:

We should check if this is still an open issue and/or if it is related to any other of the term tree editing issues

Also | do not understand why this has the multi-representations-problem tag. | removed it. Please add again if there is a reason for having this tag.
